/*
 File: pager_1.cpp
 Date and Time: Sat Jan 31 11:58:44 2015 
*/
#include "pager_1.h"
using namespace NS_testout_T_enum;// enumerate
using namespace NS_testout_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_testout_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_pager_1;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Cpager_1::
  Cpager_1()
    :yacco2::CAbs_fsm
      ("pager_1.lex"
      ,"1.0"
      ,"7 mar 2014"
      ,true
      ,"Test out David Pager LR(1) resolution page 61."
      ,"Sat Jan 31 11:58:44 2015 "
      ,S1_Cpager_1){
    
  }
 
Cpager_1::~Cpager_1(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cpager_1::failed(){
    
       CAbs_lr1_sym* sym = new Err_bad_T_inputted;
       sym->set_rc(*parser__->current_token__,__FILE__,__LINE__);
       ADD_TOKEN_TO_ERROR_QUEUE_FSM(*sym);
       return true;

  }
  void Cpager_1::op(){
}
int Cpager_1::rhs_to_rules_mapping_[10] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,2 // subrule 6 for rule 3
 ,2 // subrule 7 for rule 3
 ,3 // subrule 8 for rule 4
 ,3 // subrule 9 for rule 4
}; 
Rs::Rs(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rs",0,Cpager_1::R_Rs_,P,false,false){
}

Re::Re(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Re",0,Cpager_1::R_Re_,P,false,false){
}

Rx::Rx(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rx",0,Cpager_1::R_Rx_,P,false,false){
}

Ry::Ry(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ry",0,Cpager_1::R_Ry_,P,false,false){
}

